import std.stdio;
import std.stream;
import std.string;
import std.math;
import Coloring ;
import Mandelbrot ;


class PPMutil
{
  this(){
  }

  int savefile(string fname, uint[] img, int width, int height){
    BufferedFile outfile ;
    char[]       cimg ;
    
    outfile = new BufferedFile() ;
    outfile.create(fname) ;
    outfile.writef("P6\n%d %d\n255\n",width,height) ;
    cimg.length=img.length*3 ;
    for( int i=0 ; i<img.length ; i++ ){
      cimg[i*3+0] = (img[i] & 0x00ff0000)>>16 ;
      cimg[i*3+1] = (img[i] & 0x0000ff00)>>8  ;
      cimg[i*3+2] = (img[i] & 0x000000ff)     ;
    }
    outfile.writeString(cimg) ;
    outfile.close() ;
    return(0) ;
  }
}
