import win32.windows;
import win32.windef;
import win32frame.Win32Frame;
import win32frame.MsgBox;
import myMainWindow;
import gmpp;

int main(string[] args)
{
  mpf_precision=768 ;
  
  if( args.length==2 ){
    int prec = std.conv.to!(int)(args[1]) ;
    if( prec>0 ){
      mpf_precision = prec ;
    }
  }
  
  Win32Frame   win32 = new Win32Frame() ;
  myMainWindow frame = new myMainWindow("Mandelbrot View","mandelview") ;

  try{
    win32.setMainWindow(frame) ;
    win32.setWindowPosition(CW_USEDEFAULT,CW_USEDEFAULT,640,480) ;
    win32.setWindowStyle(WS_CLIPSIBLINGS | WS_CLIPCHILDREN | WS_OVERLAPPEDWINDOW | WS_VISIBLE) ;
  
    win32.start() ;
  }catch(Exception e){
    auto msgbox = new MsgBox(null, e.msg, "Interenal Error", MB_OK ) ;
    msgbox.create() ;
  }

  return(0) ;
}
