#!/bin/bash

CMDNAME=`basename $0`
FLG_J=""

while getopts am:j:h OPT
do
  case $OPT in
    "a" ) FLG_A="TRUE" ;;
    "m" ) FLG_M=${OPTARG} ;;
    "j" ) FLG_J=${OPTARG} ;;
      * ) echo "Usage: $CMDNAME [-a] [-m 64] [-j n]" 1>&2
          exit 1 ;;
  esac
done

if [ "$FLG_M" = "64" ] ; then
    ARCH="-m64";
else
    ARCH="-m32";
fi

if [ "$FLG_J" = "" ] ; then
    PARAMK=""
else
    PARAMK="-j$FLG_J"
fi

if [ "$FLG_A" = "TRUE" ] ; then
    pushd win32 ; make clean ; make ARCH=$ARCH $PARAMK ; popd ;
fi
pushd win32frame ; make clean ; make ARCH=$ARCH $PARAMK ; popd ; pushd util ; make clean ; make ARCH=$ARCH $PARAMK ; popd ; make clean ; make ARCH=$ARCH $PARAMK
